# Source code for azure.mgmt.logic.models.as2_error_settings

    # coding=utf-8
    # --------------------------------------------------------------------------
    # Copyright (c) Microsoft Corporation. All rights reserved.
    # Licensed under the MIT License. See License.txt in the project root for
    # license information.
    #
    # Code generated by Microsoft (R) AutoRest Code Generator.
    # Changes may cause incorrect behavior and will be lost if the code is
    # regenerated.
    # --------------------------------------------------------------------------

    from msrest.serialization import Model

    class AS2ErrorSettings(Model):
        """AS2ErrorSettings.

        :param suspend_duplicate_message: The value indicating whether to suspend
         duplicate message.
        :type suspend_duplicate_message: bool
        :param resend_if_mdn_not_received: The value indicating whether to resend
         message If MDN is not received.
        :type resend_if_mdn_not_received: bool
        """

        _attribute_map = {
            'suspend_duplicate_message': {'key': 'SuspendDuplicateMessage', 'type': 'bool'},
            'resend_if_mdn_not_received': {'key': 'ResendIfMdnNotReceived', 'type': 'bool'},
        }

        def __init__(self, suspend_duplicate_message=None, resend_if_mdn_not_received=None):
            self.suspend_duplicate_message = suspend_duplicate_message
            self.resend_if_mdn_not_received = resend_if_mdn_not_received